Bug 1668402 - Network policies are blocking host to pod communication
Summary: Network policies are blocking host to pod communication
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-kuryr-kubernetes
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-22 16:34 UTC by Luis Tomas Bolivar
Modified: 2019-09-26 10:47 UTC (History)
2 users (show)

Fixed In Version: openstack-kuryr-kubernetes-0.6.2-0.20190305141049.a019712.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1812877 0 None None None 2019-01-22 16:34:39 UTC
OpenStack gerrit 632503 0 None None None 2019-01-22 16:34:39 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:20:21 UTC

Description Luis Tomas Bolivar 2019-01-22 16:34:39 UTC
Host to pod connectivity is needed for probes. However security groups created for the network policies are not taking that into consideration, therefore blocking that traffic

Comment 7 errata-xmlrpc 2019-09-21 11:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.